; ProTracker 2 clone config file
;
; [] is a category, doesn't affect parsing
;  ; is a comment, and also doesn't affect parsing
;
;  If a duplicate setting is found, the one closest to the end of the
;    file will be used.
;  If a setting is invalid or not entered, it will use the default value.
;
; Syntax:
; ENTRY=VALUE (only strings can have spaces!)
;

[SAMPLE LENGTH LIMIT]
; Limit samples to 64kB (65534/$FFFE), like intended in ProTracker
;        Syntax: TRUE or FALSE
; Default value: TRUE
;       Comment: Setting it to FALSE will remove the 64kB (65534/$FFFE) sample
;         length limit and support 128kB samples (131070/$1FFFE).
;         Keep in mind that >64kB samples are not officially supported in most
;         ProTracker trackers and replayers, and will often result in bugs.
;
;         Please do not change this setting unless you're aware of the problems
;         you might face when creating >64k-sample PT MODs! Also do remember
;         that since this feature is off by default, most people will not be
;         able to listen to 128kB modules in the PT2 clone out of the box.
;
64K_LIMIT=TRUE

[VIDEO SETTINGS]
; Video upscaling factor
;        Syntax: AUTO, 1X, 2X, 3X, 4X ... 16X
; Default value: AUTO
;       Comment: Sets the video upscaling factor (window size).
;       AUTO = Auto-fit (tries to find the optimal value for the screen)
;         1X = 320x255 (no scaling)
;         2X = 640x510
;         3X = 960x765
;         4X = 1280x1020
;         ...and so on up to 16X
;         (width = 320*x, height = 255*x)
;
VIDEOSCALE=AUTO

; Start in fullscreen mode
;        Syntax: TRUE or FALSE
; Default value: FALSE
;
FULLSCREEN=FALSE

; Filtering of upscaled pixels
;        Syntax: NEAREST, LINEAR, BEST
; Default value: NEAREST
;       Comment: Setting it to LINEAR or BEST will smooth out the pixels
;         and make them less grainy. It will result in a blurry image, though.
;
PIXELFILTER=NEAREST

; Make fullscreen mode completely stretch out the image to fit the whole screen
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: Setting this to TRUE will in most cases ruin the aspect
;         ratio of the image.
;
FULLSCREENSTRETCH=FALSE

; Turn off vsync
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: Turns off vsync for less input delay (mouse/keyboard).
;         However, it will introduce more video stuttering at random times.
;
VSYNCOFF=FALSE

; Use hardware mouse
;        Syntax: TRUE or FALSE
; Default value: TRUE
;       Comment: Disables software mouse and uses the mouse in your OS.
;         This can feel more comfortable for some users because of less latency.
;         Some systems might need it to be set FALSE for the mouse to function
;         at all.
;
HWMOUSE=TRUE

[GENERAL SETTINGS]
; Restrict pattern editor mouse click to pattern number box
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: When you click anywhere inside the pattern editor window, the
;         tracker enters pattern number edit mode. This can be frustrating to
;         some users. If you set this to TRUE, you can only edit the pattern
;         number by clicking on its GUI gadget (the little box with the pattern
;         number in it, to the left of tempo/BPM).
;
RESTRICTED_PATT_EDIT_CLICK=FALSE

; "Edit mode" + step-play (return/backspace) behavior
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: If set to true and you use step-play in edit mode, then
;         edit mode will be kept when the step-play is done.
;
STEPPLAY_KEEP_EDITMODE=FALSE

; Don't show downsample dialog after loading a sample whose frequency is >22kHz.
;        Syntax: TRUE or FALSE
; Default value: FALSE
;
NO_DWNSMP_ON_SMP_LOAD=FALSE

; Hide last modification dates in Disk Op. to get longer dir/file names
;        Syntax: TRUE or FALSE
; Default value: FALSE
;
HIDEDISKOPDATES=FALSE

; Compo mode: Stop song after reaching song end
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: For music competitions. Stops the song after reaching
;         song end so that you don't have to sit there and press STOP at
;         the right moment.
;
COMPOMODE=FALSE

; Close Disk Op. after loading a module
;        Syntax: TRUE or FALSE
; Default value: TRUE
;
AUTOCLOSEDISKOP=TRUE

; Remember play mode after loading a module in Disk Op.
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: If set to TRUE and you were playing while loading a mod,
;         it will not stop playback on load.
;         Works best with AUTOCLOSEDISKOP set to FALSE. (like FT2)
;
REMEMBERPLAYMODE=FALSE

; Blank sample number (first digit) aka. "BLANKZERO" setting in PT
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: Setting it to TRUE removes the first sample number
;         digit in the pattern viewer, if it's zero. E.g. "0F" -> " F".
;         This mode is always enabled if PATTDOTS is set to true.
BLANKZERO=FALSE

; Real VU-meters
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: Setting it to TRUE will render real VU-meters which
;         are updated from the audio mixer. Works best with lower
;         audio latencies.
;
REALVUMETERS=FALSE

; Show dots instead of zeroes
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: Setting it to TRUE will display dots for empty slots
;         in the pattern viewer. Slightly easier on the eye, but ruins the
;         authentic ProTracker look.
;
PATTDOTS=FALSE

; The way of displaying notes
;        Syntax: SHARP or FLAT
; Default value: SHARP
;       Comment: Setting it to FLAT will display notes differently.
;         E.g. C#2 will be Db2.
;
ACCIDENTAL=SHARP

; Quantize value for notes in record mode
;        Syntax: 0 to 63
; Default value: 1
;       Comment: Will move the notes you record to every n'th row.
;         Entering 0 will turn off the quantizing, and the notes you play
;         will always be inserted at the row you are at.
;         Entering 1 will quantize the notes the the nearest row according
;         to the speed. i.e. if you play a note after the first half has been
;         played, it will be quantized to the row below.
;         Entering a value like 8 will quantize to every 8th row, and so on.
;
QUANTIZE=1

; Delete out of range notes on transpose
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: If enabled, all the notes transposed out of range
;         (C-1 to B-3) will be deleted. If not, they will not be transposed.
;
TRANSDEL=FALSE

; Set default modules directory for Disk Op. read/load/save
;        Stynax: Text string
; Default value:
;    Max length: Varies... 260 characters on Windows, more on other OSes.
;       Comment: If it is blank, then it will use the current dir.
;         Don't use quotes! Path can be relative if wanted, but keep in mind
;         that on macOS/Linux the initial path on run will be $HOME.
;         GNU/Linux note: Path is case-sensitive and must not end with /
;
DEFAULTDIR=

; Set default samples directory for Disk Op. read/load/save
;        Stynax: Text string
; Default value:
;    Max length: Varies... 260 characters on Windows, more on other OSes.
;       Comment: If it is blank, then it will use the current dir.
;         Don't use quotes! Path can be relative if wanted, but keep in mind
;         that on macOS/Linux the initial path on run will be $HOME.
;         GNU/Linux note: Path is case-sensitive and must not end with /
;
DEFAULTSMPDIR=

; "mod.filename" saving
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: Setting it to TRUE changes MOD saving to ext.filename.
;         This is handy for editing songs made on the Amiga.
;         Setting it to FALSE changes it to filename.ext (f.ex. mysong.mod)
;
MODDOT=FALSE

; Draw a center line in the SAMPLER screen's waveform
;        Syntax: TRUE or FALSE
; Default value: TRUE
;       Comment: This used to draw a dotted line, but now draws a line instead
;
DOTTEDCENTER=TRUE

; Enable the Karplus-Strong (E8x) ProTracker replayer effect
;        Syntax: TRUE or FALSE
; Default value: FALSE
;       Comment: This ProTracker command low-pass filters the current sample's
;                loop using a simple implementation of Karplus-Strong synthesis.
;                It's an extremely little used effect despite being present in
;                original PT, and E8x was in >95% of cases used for syncing demo
;                effects with the music in demos. Hence enabling this effect
;                will just do more bad (unintentionally trashing sample data)
;                than it will do good.
;                You can turn it on if you need to, but the tracker dev
;                community generally does not want this effect to be used in
;                new modules.
;
ENABLE_E8X=FALSE

[AUDIO SETTINGS]
; Audio output frequency
;        Syntax: Number, in hertz
; Default value: 48000
;       Comment: Ranges from 44100 to 192000. Does not apply to MOD2WAV.
;
FREQUENCY=48000

; Audio input frequency
;        Syntax: Number, in hertz
; Default value: 44100
;       Comment: Ranges from 44100 to 192000. This should be set to match
;         the frequency used for your audio input device (for sampling).
;
SAMPLINGFREQ=44100

; MOD2WAV output frequency
;        Syntax: Number, in hertz
; Default value: 44100
;       Comment: Ranges from 44100 to 192000.
;
MOD2WAVFREQUENCY=44100

; Filter model (Amiga model)
;        Syntax: A500 or A1200
; Default value: A1200
;       Comment: Selects what kind of Amiga to simulate (lp/hp filters).
;         A1200 has sharper sound but more aliasing, while A500 has more
;         filtered (muddy) sound but less aliasing. The filter model can
;         also be toggled by pressing F12 in the program.
;
FILTERMODEL=A1200

; Stereo separation
;        Syntax: 0 to 100 (percent)
; Default value: 20 (good value for headphones)
;       Comment: Set to 100 for the hard panning Amiga uses.
;         Set to 0 for mono, which might be preferred in some cases.
;
STEREOSEPARATION=20

; Audio buffer size
;        Syntax: Number, in unit of samples (not bytes)
; Default value: 1024
;       Comment: Ranges from 128 to 8192. Should be a number that is 2^n
;          (128, 256, 512, 1024, 2048, 4096, 8192, ...). The number you input
;          isn't necessarily the actual value the audio API decides to use.
;          Lower means less audio latency but possible audio issues, higher
;          means more audio latency but less chance for issues.
;
BUFFERSIZE=1024

; End of config file